import { StiModelService } from "./model.service";
import * as i0 from "@angular/core";
export declare class StiUndoService {
    model: StiModelService;
    static UNDO_SIZE: number;
    undos: any[];
    redos: any[];
    constructor(model: StiModelService);
    undoRedo(from: any[], to: any[]): void;
    addToUndo(): void;
    undo(): void;
    redo(): void;
    markCurrentFormAsUnmodified(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiUndoService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiUndoService>;
}
